Bug 1095302 - Review Request: puppetlabs-stdlib - Puppet Labs Standard Library
Summary: Review Request: puppetlabs-stdlib - Puppet Labs Standard Library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 12:31 UTC by Andrea Veri
Modified: 2016-04-07 13:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 13:49:21 UTC
Type: ---
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2014-05-07 12:31:49 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/puppetlabs-stdlib/puppetlabs-stdlib.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/puppetlabs-stdlib/puppetlabs-stdlib-4.1.0-1.20140507gite962b95.fc20.src.rpm
Description: Puppet Labs Standard Library module
Fedora Account System Username: averi

Comment 1 Andrea Veri 2014-05-07 12:36:08 UTC
Scratch build URL:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6822399

Comment 2 Gwyn Ciesla 2014-05-07 12:53:18 UTC
- rpmlint checks return:

Silence.

- package meets naming guidelines
- package meets packaging guidelines
- license ( ASL 2.0 ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Modulo my limited Ruby knowledge, everything looks to be in order.

APPROVED.

Comment 3 Andrea Veri 2014-05-07 12:55:13 UTC
New Package SCM Request
=======================
Package Name: puppetlabs-stdlib 
Short Description: Puppet Labs Standard Library
Owners: averi
Branches: el6 f20
InitialCC: averi

Comment 4 Gwyn Ciesla 2014-05-07 12:56:13 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-05-07 13:21:22 UTC
puppetlabs-stdlib-4.1.0-1.20140507gite962b95.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/puppetlabs-stdlib-4.1.0-1.20140507gite962b95.fc20

Comment 6 Fedora Update System 2014-05-07 13:21:32 UTC
puppetlabs-stdlib-4.1.0-1.20140507gite962b95.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppetlabs-stdlib-4.1.0-1.20140507gite962b95.el6

Comment 7 Fedora Update System 2014-05-08 10:05:22 UTC
puppetlabs-stdlib-4.1.0-1.20140507gite962b95.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2014-05-09 19:52:42 UTC
puppetlabs-stdlib-4.2.0-1.20140509gitf3be3b6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppetlabs-stdlib-4.2.0-1.20140509gitf3be3b6.el6

Comment 9 Fedora Update System 2014-05-09 19:53:13 UTC
puppetlabs-stdlib-4.2.0-1.20140509gitf3be3b6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/puppetlabs-stdlib-4.2.0-1.20140509gitf3be3b6.fc20

Comment 10 Fedora Update System 2014-05-10 00:05:07 UTC
puppetlabs-stdlib-4.2.1-1.20140510git08b00d9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppetlabs-stdlib-4.2.1-1.20140510git08b00d9.el6

Comment 11 Fedora Update System 2014-05-27 19:12:33 UTC
puppetlabs-stdlib-4.2.1-1.20140510git08b00d9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.